---
title: HTMLFormControlsCollection.namedItem()
slug: Web/API/HTMLFormControlsCollection/namedItem
tags:
  - API
  - HTML DOM
  - HTMLFormControlsCollection
  - Method
  - Reference
---
<div>{{APIRef("HTML DOM")}}</div>

<p>The <code><strong>HTMLFormControlsCollection.namedItem()</strong></code> method returns the {{domxref("RadioNodeList")}} or the {{domxref("Element")}} in the collection whose <code>name</code> or <code>id</code> match the specified name, or <code>null</code> if no node matches.</p>

<p>Note that this version of <code>namedItem()</code> hides the one inherited from {{domxref("HTMLCollection")}}. Like that one, in JavaScript, using the array bracket syntax with a {{jsxref("String")}}, like <code><em>collection</em>["value"]</code> is equivalent to <code><em>collection</em>.namedItem("value")</code>.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>item</em> = <em>collection</em>.namedItem(<em>str)</em>;
var <em>item </em>=<em> collection</em>[<em>str</em>];
</pre>

<h3 id="Parameters">Parameters</h3>

<ul>
 <li><code>str</code> is a {{domxref("DOMString")}}</li>
</ul>

<h3 id="Return_value">Return value</h3>

<ul>
 <li><code>item</code> is a {{domxref("RadioNodeList")}} , {{domxref("Element")}}, or {{jsxref("null")}}.</li>
</ul>

<h2 id="Example">Example</h2>

<h3 id="HTML">HTML</h3>

<pre class="brush:html">&lt;form&gt;
  &lt;input id="my-form-control" type="textarea"&gt;
&lt;/form&gt;
</pre>

<h3 id="JavaScript">JavaScript</h3>

<pre class="brush: js">// Returns the HTMLInputElement representing #my-form-control
elem1 = document.forms[0]['my-form-control'];
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('HTML WHATWG', "#dom-htmlformcontrolscollection-nameditem", "HTMLFormControlsCollection.namedItem()")}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td> </td>
  </tr>
  <tr>
   <td>{{SpecName('HTML5 W3C', "infrastructure.html#htmlformcontrolscollection", "HTMLFormControlsCollection")}}</td>
   <td>{{Spec2('HTML5 W3C')}}</td>
   <td>In this snapshot of {{SpecName("HTML WHATWG")}}, the <code>HTMLFormControlsCollections</code> is defined for the first time.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.HTMLFormControlsCollection.namedItem")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("HTMLCollection.namedItem")}} that it replaces</li>
</ul>
